.auth {
    display: flex;
    flex-direction: column;
    gap: 1em;
    position: relative;
    background-color: #27272a;
    border-radius: 12px;
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 6px;
    padding: 30px;
    width: 100%;
    max-width: 500px;

    background: rgba(255, 255, 255, 0.05);
    backdrop-filter: blur(15px);
    border: 1px solid rgba(255, 255, 255, 0.1);
    border-radius: 20px;
}

.social {
    display: flex;
    justify-content: center;
    gap: 2em;
}

.social__item {
    background: none;
    position: relative;
    width: 48px;
    height: 48px;
}

.social__item > img {
    width: 100%;
    height: 100%;
}

input {
    width: inherit;
    height: 40px;
    padding: 10px;
}

.auth__sign-in {
    width: inherit;
    height: 40px;
}

.logo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
}

.logo__image {
    width: 64px;
    height: 64px;
    align-items: center;
    margin-right: 15px;
}

.logo__text {
    font-size: 20px;
    align-items: center;
}
.register-button {
    margin-top: 15px;
    text-align: center;
    cursor: pointer;
    color: #fff;
}

@media (max-width: 1020px) {
    .auth {
        padding-top: 50%;
        max-width: 100%;
        width: 100% !important;
        height: 100%;
    }
}